// import { useEffect } from "react";
import smallLogo from "@/assets/project/projectIconSmall.svg";
import style from "./index.module.css";
import InputBase from "@material-ui/core/InputBase";
import { useEffect, useState } from "react";
import useMyRequest from "@/hooks/useMyRequest";
import { product } from "@/api/project_api";
import moment from "moment";
import Loading from "@/views/Loading";

const ProjectListPopper = () => {
  const [projectList, setProjectList] = useState<any>([]);

  const { data, error, loading, run } = useMyRequest(product, {
    manual: true,
    onSuccess: (result, params) => {
      console.log(result);
      setProjectList(result.data);
    },
  });
  useEffect(() => {
    run();
  }, []);

  return (
    <div className={style.projectBox}>
      <div className={style.searchBox} onClick={() => run()}>
        <InputBase
          // className={classes.input}
          placeholder="请输入项目名称"
          inputProps={{ "aria-label": "search google maps" }}
        />
      </div>
      <div className={style.projectlist}>
        {projectList.map((item: any) => {
          return (
            <div className={style.projectli}>
              <img src={smallLogo} alt="" className={style.projectliLogo} />
              <div className={style.projectliInfo}>
                <div className={style.projectName}>{item.name}</div>
                <div className={style.projectOwnerTime}>
                  <span className={style.projectOwner}>{item.owner}</span>
                  <span className={style.projectTime}>
                    {moment(item.createdAt).format("YYYY-MM-DD")}
                  </span>
                </div>
              </div>
            </div>
          );
        })}
      </div>
    </div>
  );
};

export default ProjectListPopper;
